//
// Created by bytedance on 2021/9/29.
//

#include "auth_check.h"
#include <iostream>
#include <cstring>
#include "sami_core.h"


int auth_check_init(const char* token,const char* appKey){
    SAMICoreTokenVerifyOfflineParameter offlineParameter;
    memset(&offlineParameter, 0, sizeof(SAMICoreTokenVerifyOfflineParameter));
    offlineParameter.token = token;
    offlineParameter.appKey = appKey;
    int auth_ret = SAMICoreInitContext(SAMICoreContextType::TokenVerifyOfflineContext, &offlineParameter);
    if (auth_ret != SAMI_OK) {
        std::cout << "SAMICoreCreateHandleByIdentify failed, ret: " << auth_ret << std::endl;
    }
    return  auth_ret;
}

int auth_check_release(){
    return SAMICoreReleaseContext(SAMICoreContextType::TokenVerifyOfflineContext);
}