#!/bin/bash

rm -rf out
mkdir out/
out_path=./out

test_file_path=../test_file

UNAME=`uname -s`
bin_path=dist_${UNAME}/bin
bin_file=${bin_path}/sami_core_tob_demo
export LD_LIBRARY_PATH=${bin_path}:$LD_LIBRARY_PATH
chmod +x ${bin_file}

#noise test
./${bin_file} -f DENOISE_V2_SPEECH44k -i ${test_file_path}/441k_english_speech_stereo.wav -o ${out_path}/DENOISE_V2_SPEECH44k_441k_english_speech_stereo.wav
./${bin_file} -f DENOISE_V2_MUSIC44k -i ${test_file_path}/441k_english_music_stereo.wav -o ${out_path}/DENOISE_V2_MUSIC44k_441k_english_music_stereo.wav
./${bin_file} -f DENOISE_V2_SPEECH16k -i ${test_file_path}/16k_english_speech_stereo.wav -o ${out_path}/DENOISE_V2_SPEECH16k_16k_english_speech_stereo.wav
./${bin_file} -f DENOISE_V2_MUSIC16k -i ${test_file_path}/16k_english_music_stereo.wav -o ${out_path}/DENOISE_V2_MUSIC16k_16k_english_music_stereo.wav
./${bin_file} -f DENOISE_V2_DEREVERB44k -i ${test_file_path}/441k_speech_single_reverb.wav -o ${out_path}/DENOISE_V2_DEREVERB44k_441k_speech_single_reverb.wav
