# sami_core_tob android native demo 使用说明

##### 1. 下载代码：
```
git clone **
```

##### 2. 从火山下载sdk并解压
解压到native_demo目录下
```
(base) ➜  native_demo$ tree -L 1
├── CMakeLists.txt
├── README.md
├── build.sh
├── out
├── res
├── sami_core_tob_release
├── src
└── test.sh
```
如果修改sami_core_tob_release相对路径，需要修改以下两部分：

a. 修改native_demo/CMAKELists.txt中（用于链接库）
```
set(sami_core_path ${PROJECT_SOURCE_DIR}/sami_core_tob_release)
```

##### 3.重要信息
android native demo使用了native demo目录中的func_lib库，在下面的cmake中包含：
```
sami_core_tob_demo/android_native_demo/android_project/app/src/main/cpp/CMakeLists.txt

#add native func_lib
add_subdirectory(${PROJECT_SOURCE_DIR}/../../../../../../native_demo/src ${PROJECT_SOURCE_DIR}/../../../../../../native_demo/src)

target_link_libraries(native-lib ${log-lib} func_lib sami_core)
```

##### 3. push测试文件
先插上手机，确保adb已经打开，并且adb devices能查到设备连接
```
cd sami_core_tob_demo/android_native_demo
./adb_push.sh
```

##### 4.修改授权信息
修改
```
sami_core_tob_demo/android_native_demo/android_project/app/src/main/java/com/bytedance/android_native_demo/MainActivity.java
private String TOKEN = 
private String APPKEY = 
```

##### 5. 使用android studio打开android_project工程并编译
应用会申请权限，请允许相关权限

##### 6. 测试并拉取生成的音频
```
cd sami_core_tob_demo/android_native_demo
./adb_pull.sh
```
结果会放在android_native_demo/out目录下



