# sami_core_tob native demo 使用说明

##### 简介
本目录下的native demo，支持编译和测试的平台：mac/linux

##### 1. 下载代码：
```
git clone **
```

##### 2. 从火山下载sdk并解压
解压sami_core_tob_release到native_demo目录下
```
(base) ➜  native_demo$ tree -L 1
├── CMakeLists.txt
├── README.md
├── build.sh
├── out
├── res
├── sami_core_tob_release
├── src
└── test.sh
```
如果修改sami_core_tob_release相对路径，需要修改以下两部分：

a. 修改native_demo/CMAKELists.txt中（用于链接库）
```
set(sami_core_path ${PROJECT_SOURCE_DIR}/sami_core_tob_release)
```
b.修改define.h(用来模型和变声资源)
```
#define SAMI_CORE_PATH "../../sami_core_tob_release/"
```

##### 4. 修改授权信息
修改src/define.h中的`TOKEN`和`APPKEY`

##### 3. 编译
```
cd native_demo/
./build.sh
```
另外因为linux gcc编译比较常见，也增加了gcc编译的方式。
```
cd native_demo/
./linux_gcc_build.sh
```

##### 4. 运行demo
```
cd native_demo/
./test.sh
```


