#!/bin/bash

sami_core_path=./sami_core_tob_release

UNAME=`uname -s`
bin_path=dist_${UNAME}/bin
rm -rf ${bin_path}
mkdir -p ${bin_path}

gcc \
src/main.cpp \
src/auth_check.cpp \
src/noise.cpp \
src/help_function.cpp \
-o ${bin_path}/sami_core_tob_demo \
-I ${sami_core_path}/sdk/pub/linux/inc \
-L ${sami_core_path}/sdk/pub/linux/lib -lsamicore -lstdc++ \
-I ./src

chmod +x ${bin_path}/sami_core_tob_demo
cp ${sami_core_path}/sdk/pub/linux/lib/libsamicore.so ${bin_path}


